Subject: [bug#28016] [PATCH] Reproducible issue for libjpeg-turbo

From: "Z. Ren" <[email-masked]>
Date: Wed, 16 Aug 2017 12:02:05 +0800 (GMT+08:00)

Hi,

There was a typo (redundant brackets around SOURCE_DATE_EPOCH) in the previous submitted patch, sorry that I'm not very familiar with the Guix system. I attach the modified patch. Following the suggestion of Leo (https://lists.gnu.org/archive/html/help-guix/2017-08/msg00053.html Thanks for the suggestion), I investigate the source code of libjpeg-turbo. It appears that the upstream package supports the argument --with-build-date. Maybe this is more suitable for fixing the unreproducible problem?

Based on this idea, I tried setting configure-flags with SOURCE_DATE_EPOCH. Unfortunately, the flag is not assigned properly with the following snippet:

         #:configure-flags
         (list (string-append "--with-build-date="
          (date->string
           (time-utc->date
            (make-time time-utc 0
             (string->number (getenv "SOURCE_DATE_EPOCH")))) "'~Y~m~d'")))

Is it because the environmental variable SOURCE_DATE_EPOCH is not yet set at the time of #:configure-flags? I read the recipe of other packages, maybe "replace 'configure" is the right solution? Again, sorry that I'm not very familiar with Guix, and haven't come up with the patch yet. However, it would be appreciated if it could be confirmed whether the unreproducibility is caused by the `date` command in the onfigure script.

Best regards,

Ren